<!-- <section id="traveller">
    <div class="container-fluid bgclr">
        <ul class="breadcrumb reset">
            <h5>Booking</h5>
        </ul>
        <div class="card">
            <div class="card-body">
                <div class="card">
                    <div class="card-header">
                      Booking Management
                    </div>
                    <div class="card-body">
                        <div class="row py-2">
                            <div class="col-5 col-sm-5 col-md-6 col-lg-6">
                                <a class="btn btn-success text-white btn-mini">
                                    <i class="fa fa-history" aria-hidden="true"></i>
                                 Booking History</a>
                             </div>
                            <div class="col-7 col-sm-7 col-md-3 col-lg-3 ml-auto">
                                <div class="form-group">
                                    <div class="input-group">
                                        <input type="text" class="form-control" placeholder="Search" type="text">
                                        <div class="input-group-append">
                                            <span class="input-group-text btnclrs">
                                                <i class="fa fa-search"></i>
                                            </span>
        
                                        </div>
                                    </div>
        
                                </div>
                            </div>
                        </div>
                        <hr>
                        <table class="table table-striped table-bordered">
                            <thead>
                              <tr>
                                <th scope="col">Sl.No</th>
                                <th scope="col">Pick Address</th>
                                <th scope="col">Drop Address</th>
                                <th scope="col">Rider Name</th>
                                <th scope="col">Rider Phone</th>
                                <th scope="col">Status</th>
                                <th scope="col">Created</th>
                                <th scope="col"></th>
                              </tr>
                            </thead>
                            <tbody>
                              <tr *ngFor = "let booking of bookingDetails | paginate: { itemsPerPage: 5, currentPage: page }; index as i">
                                <th *ngIf="page>1">{{((page-1)*5)+(i+1)}}</th>
                                <th *ngIf="page==1">{{i+1}}</th>
                                <td>{{booking.pickAddress}}</td>
                                <td>{{booking.dropAddress}}</td>
                                <td>{{booking.riderName}}</td>
                                <td>{{booking.riderPhone}}</td>
                                <td>{{booking.status}}</td>
                                <td>{{booking.created}}</td>
                                <td>
                                    <a routerLink="booking_details" class="btn view">
                                        <i class="fa fa-eye" aria-hidden="true"></i>
                                    </a>
                                  
                                    <a routerLink="booking_log" class="btn edit">
                                        <i class="fa fa-file-o" aria-hidden="true"></i>
                                    </a>
                                </td>
                              </tr>
                            
                            </tbody>
                          </table>
                          <div class="text-center">
                            <pagination-controls (pageChange)="page = $event"></pagination-controls>
                        </div>
                    </div>
                  </div>





        
            </div>

        </div>
    </div>
</section> -->



<section id="traveller">
    <div class="container-fluid bgclr">
        <ul class="breadcrumb reset">
            <h5>Booking</h5>
        </ul>
        <div class="card">
            <div class="card-body">
                <div class="card">
                    <div class="card-header">
                        Booking Management
                    </div>
                    <div class="card-body">

                        <ul class="nav nav-tabs" id="myTab" role="tablist">
                            <li class="nav-item" role="presentation">
                                <a class="nav-link active" id="immediate-tab" data-toggle="tab" href="#immediate"
                                    role="tab" aria-controls="immediate" aria-selected="true">Current Rides</a>
                            </li>
                            <li class="nav-item" role="presentation">
                                <a class="nav-link" id="schedule-tab" data-toggle="tab" href="#schedule" role="tab"
                                    aria-controls="schedule" aria-selected="false">Upcoming Rides</a>
                            </li>
                            <li class="nav-item" role="presentation">
                                <a class="nav-link" id="curofferride-tab" data-toggle="tab" href="#curofferride" role="tab" aria-controls="curofferride" aria-selected="false">Current offer ride</a>
                              </li>
                              <li class="nav-item" role="presentation">
                                <a class="nav-link" id="scheduledata-tab" data-toggle="tab" href="#scheduledata" role="tab" aria-controls="scheduledata" aria-selected="false">schedule offer ride</a>
                              </li>

                        </ul>
                        <div class="tab-content" id="myTabContent">
                            <div class="tab-pane fade show active" id="immediate" role="tabpanel"
                                aria-labelledby="immediate-tab">
                                <div class="row">
                                    <div class="col-5 col-sm-5 col-md-6 col-lg-6">
                                        <div class="d-flex flex-row bd-highlight mt-3">
                                            <div class="p-2 bd-highlight">
                                                <a>
                                                    <h5>Current Rides</h5>
                                                </a>
                                                <!-- <a [routerLink]="['add_promocode']" class="btn btn-success btn-mini">
                                                    <i class="fa fa-plus"></i>
                                                    Add Promocode</a> -->
                                            </div>
                                        </div>
                                    </div>
                                    <div class="d-flex bd-highlight col-7 col-sm-7 col-md-3 col-lg-3 ml-auto mt-3">
                                        <div class="p-2 flex-fill bd-highlight">
        
                                            <div class="form-group">
                                                <div class="input-group">
                                                    <input type="text" class="form-control" placeholder="Search" type="text" [(ngModel)]="searchText">
                                                    <div class="input-group-append">
                                                        <span class="input-group-text btnclrs">
                                                            <i class="fa fa-search"></i>
                                                        </span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="p-2 flex-fill bd-highlight">
                                            <button class="btn excelbtn" data-placement="left" data-toggle="tooltio"
                                                title="Excel" (click)="exportAsXLSXcurFindRide()">
                                                <i aria-hidden="true" class="fa fa-file-excel-o fa-2x"></i>
                                            </button>
                                        </div>
        
                                    </div>
        
                                </div>
                                <hr>
                                <div class="table-responsive py-2 mt-4">
                                    <table class="table table-striped table-bordered">
                                        <thead>
                                            <tr>
                                                <th scope="col">Sl.No</th>
                                                <th scope="col" colspan="2">Traveller </th>
                                                <!-- <th scope="col">Traveller Lastname</th> -->
                                                <th scope="col">Pick Address</th>
                                                <th scope="col">Drop Address</th>
                                                <!-- <th scope="col">Rider Name</th>
                                                <th scope="col">Rider Phone</th> -->
                                                <th scope="col">Status</th>
                                                <th scope="col">Booking Date</th>
                                                <th scope="col"></th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr
                                                *ngFor="let booking of bookingDetails | filter:searchText | paginate: { id: 'pagination1',itemsPerPage: 20, currentPage: p }; index as i">
                                                <th *ngIf="p>1">{{((p-1)*20)+(i+1)}}</th>
                                                <th *ngIf="p==1">{{i+1}}</th>
                                                <td>{{booking.firstname}}</td>
                                                <td>{{booking.lastname}}</td>
                                                <td>{{booking.startpointAddress}}</td>
                                                <td>{{booking.endpointAddress}}</td>
                                                <!-- <td>{{booking.riderName}}</td>
                                                <td>{{booking.riderPhone}}</td> -->
                                                <td>{{booking.ongoingStatus}}</td>
                                                <td>{{booking.date| date}}</td>
                                                <td>
                                                    <a [routerLink]="['booking_details', booking._id]" class="btn view">
                                                        <i class="fa fa-eye" aria-hidden="true"></i>
                                                    </a>

                                                    <!-- <a routerLink="booking_log" class="btn edit">
                                                        <i class="fa fa-file-o" aria-hidden="true"></i>
                                                    </a> -->
                                                </td>
                                            </tr>

                                        </tbody>
                                    </table>
                                    <div class="text-center">
                                        <pagination-controls id="pagination1" (pageChange)="p = $event"></pagination-controls>
                                    </div>
                                </div>
                            </div>
                            <div class="tab-pane fade" id="schedule" role="tabpanel" aria-labelledby="schedule-tab">
                                <div class="row">
                                    <div class="col-5 col-sm-5 col-md-6 col-lg-6">
                                        <div class="d-flex flex-row bd-highlight mt-3">
                                            <div class="p-2 bd-highlight">
                                                <a>
                                                    <h5>Upcoming Rides</h5>
                                                </a>
                                                <!-- <a [routerLink]="['add_promocode']" class="btn btn-success btn-mini">
                                                    <i class="fa fa-plus"></i>
                                                    Add Promocode</a> -->
                                            </div>
                                        </div>
                                    </div>
                                    <div class="d-flex bd-highlight col-7 col-sm-7 col-md-3 col-lg-3 ml-auto mt-2">
                                        <div class="p-2 flex-fill bd-highlight">
        
                                            <div class="form-group">
                                                <div class="input-group">
                                                    <input type="text" class="form-control" placeholder="Search" type="text" [(ngModel)]="searchText">
                                                    <div class="input-group-append">
                                                        <span class="input-group-text btnclrs">
                                                            <i class="fa fa-search"></i>
                                                        </span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="p-2 flex-fill bd-highlight">
                                            <button class="btn excelbtn" data-placement="left" data-toggle="tooltio"
                                                title="Excel" (click)="exportAsXLSXcurSchedulerecurring()">
                                                <i aria-hidden="true" class="fa fa-file-excel-o fa-2x"></i>
                                            </button>
                                        </div>
        
                                    </div>
        
                                </div>
                                <hr>
                                <div class="table-responsive py-2 mt-3">
                                    <table class="table table-striped table-bordered">
                                        <thead>
                                            <tr>
                                                <th scope="col">Sl.No</th>
                                                <th scope="col" colspan="2">Traveller </th>
                                                <!-- <th scope="col">Traveller Lastname</th> -->
                                                <th scope="col">Pick Address</th>
                                                <th scope="col">Drop Address</th>
                                                <!-- <th scope="col">Rider Name</th>
                                                <th scope="col">Rider Phone</th> -->
                                                <th scope="col">Status</th>
                                                <th scope="col">Booking Date</th>
                                                <th scope="col"></th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr
                                                *ngFor="let schedule of scheduleArray | filter:searchText| paginate: { id: 'pagination2',itemsPerPage: 20, currentPage: page }; index as i">
                                                <th *ngIf="page>1">{{((page-1)*20)+(i+1)}}</th>
                                                <th *ngIf="page==1">{{i+1}}</th>
                                                <td>{{schedule.firstname}}</td>
                                                <td>{{schedule.lastname}}</td>
                                                <td>{{schedule.startpointAddress}}</td>
                                                <td>{{schedule.endpointAddress}}</td>
                                                <!-- <td>{{schedule.riderName}}</td>
                                                <td>{{schedule.riderPhone}}</td> -->
                                                <td>{{schedule.ongoingStatus}}</td>
                                                <td>{{schedule.date| date}}</td>
                                                <td>
                                                    <a [routerLink]="['scherecurbooking_details', schedule._id]" class="btn view">
                                                        <i class="fa fa-eye" aria-hidden="true"></i>
                                                    </a>
                                                </td>
                                            </tr>

                                        </tbody>
                                    </table>
                                </div>
                                <div class="text-center">
                                    <pagination-controls id="pagination2" (pageChange)="page = $event"></pagination-controls>
                                </div>
                            </div>
                            <div class="tab-pane fade" id="curofferride" role="tabpanel" aria-labelledby="curofferride-tab">
                                <div class="row">
                                    <div class="col-5 col-sm-5 col-md-6 col-lg-6">
                                        <div class="d-flex flex-row bd-highlight mt-3">
                                            <div class="p-2 bd-highlight">
                                                <a>
                                                    <h5>Current Offer Rides</h5>
                                                </a>
                                                <!-- <a [routerLink]="['add_promocode']" class="btn btn-success btn-mini">
                                                    <i class="fa fa-plus"></i>
                                                    Add Promocode</a> -->
                                            </div>
                                        </div>
                                    </div>
                                    <div class="d-flex bd-highlight col-7 col-sm-7 col-md-3 col-lg-3 ml-auto mt-3">
                                        <div class="p-2 flex-fill bd-highlight">
        
                                            <div class="form-group">
                                                <div class="input-group">
                                                    <input type="text" class="form-control" placeholder="Search" type="text" [(ngModel)]="searchText">
                                                    <div class="input-group-append">
                                                        <span class="input-group-text btnclrs">
                                                            <i class="fa fa-search"></i>
                                                        </span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="p-2 flex-fill bd-highlight">
                                            <button class="btn excelbtn" data-placement="left" data-toggle="tooltio"
                                                title="Excel" (click)="exportAsXLSXcurOfferRide()">
                                                <i aria-hidden="true" class="fa fa-file-excel-o fa-2x"></i>
                                            </button>
                                        </div>
        
                                    </div>
        
                                </div>
                                <hr>
                                <div class="table-responsive py-2 mt-4">
                                    <table class="table table-striped table-bordered">
                                        <thead>
                                            <tr>
                                                <th scope="col">Sl.No</th>
                                                <th scope="col" colspan="2">Rider </th>
                                                <th scope="col">Pick Address</th>
                                                <th scope="col">Drop Address</th>
                                                <th scope="col">Status</th>
                                                <th scope="col">Booking Date</th>
                                                <th scope="col"></th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr
                                                *ngFor="let curOffer of currentOfferRide| filter:searchText| paginate: { id: 'pagination3',itemsPerPage: 20, currentPage: pl }; index as i ">
                                                <th *ngIf="pl>1">{{((pl-1)*20)+(i+1)}}</th>
                                                <th *ngIf="pl==1">{{i+1}}</th>
                                                <td>{{curOffer.firstname}}</td>
                                                <td>{{curOffer.lastname}}</td>
                                                <td>{{curOffer.startpointAddress}}</td>
                                                <td>{{curOffer.endpointAddress}}</td>
                                                <!-- <td>{{curOffer.riderName}}</td>
                                                <td>{{curOffer.riderPhone}}</td> -->
                                               <td>{{curOffer.ongoingStatus}}</td>
                                                <td>{{curOffer.date| date}}</td>
                                                <td>
                                                    <a [routerLink]="['curofferride_details', curOffer._id]" class="btn view">
                                                        <i class="fa fa-eye" aria-hidden="true"></i>
                                                    </a> 
                                                 </td> 
                                            </tr> 

                                        </tbody>
                                    </table>
                                    <div class="text-center">
                                        <pagination-controls id="pagination3" (pageChange)="pl = $event"></pagination-controls>
                                    </div>
                                </div>
                            </div>
                            <div class="tab-pane fade" id="scheduledata" role="tabpanel" aria-labelledby="scheduledata-tab">
                                <div class="row">
                                    <div class="col-5 col-sm-5 col-md-6 col-lg-6">
                                        <div class="d-flex flex-row bd-highlight mt-3">
                                            <div class="p-2 bd-highlight">
                                                <a>
                                                    <h5>Schedule Offer Rides</h5>
                                                </a>
                                                <!-- <a [routerLink]="['add_promocode']" class="btn btn-success btn-mini">
                                                    <i class="fa fa-plus"></i>
                                                    Add Promocode</a> -->
                                            </div>
                                        </div>
                                    </div>
                                    <div class="d-flex bd-highlight col-7 col-sm-7 col-md-3 col-lg-3 ml-auto mt-3">
                                        <div class="p-2 flex-fill bd-highlight">
        
                                            <div class="form-group">
                                                <div class="input-group">
                                                    <input type="text" class="form-control" placeholder="Search" type="text" [(ngModel)]="searchText">
                                                    <div class="input-group-append">
                                                        <span class="input-group-text btnclrs">
                                                            <i class="fa fa-search"></i>
                                                        </span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="p-2 flex-fill bd-highlight">
                                            <button class="btn excelbtn" data-placement="left" data-toggle="tooltio"
                                                title="Excel" (click)="exportAsXLSXschOfferRide()">
                                                <i aria-hidden="true" class="fa fa-file-excel-o fa-2x"></i>
                                            </button>
                                        </div>
        
                                    </div>
        
                                </div>
                                <hr>
                                <div class="table-responsive py-2 mt-4">
                                    <table class="table table-striped table-bordered">
                                        <thead>
                                            <tr>
                                                <th scope="col">Sl.No</th>
                                                <th scope="col" colspan="2">Rider </th>
                                                <th scope="col">Pick Address</th>
                                                <th scope="col">Drop Address</th>
                                                <th scope="col">Status</th>
                                                <th scope="col">Booking Date</th>
                                                <th scope="col"></th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr *ngFor ="let schedule of scheduleOfferRide| filter:searchText| paginate: { id: 'pagination4',itemsPerPage: 20, currentPage: pl }; index as i ">
                                                <th *ngIf="pl>1">{{((pl-1)*20)+(i+1)}}</th>
                                                <th *ngIf="pl==1">{{i+1}}</th>
                                                <td>{{schedule.firstname}}</td>
                                                <td>{{schedule.lastname}}</td>
                                                <td>{{schedule.startpointAddress}}</td>
                                                <td>{{schedule.endpointAddress}}</td>
                                                 <!-- <td>{{schedule.riderName}}</td>
                                                <td>{{schedule.riderPhone}}</td> -->
                                               <td>{{schedule.ongoingStatus}}</td>
                                                <td>{{schedule.date| date}}</td>
                                                <td>
                                                    <a [routerLink]="['scherecurr_offerride_details', schedule._id]" class="btn view">
                                                        <i class="fa fa-eye" aria-hidden="true"></i>
                                                    </a> 
                                                 </td> 
                                            </tr>  

                                        </tbody>
                                    </table>
                                    <div class="text-center">
                                        <pagination-controls id="pagination4" (pageChange)="pl = $event"></pagination-controls>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>